@import './colors';

@mixin _fit-screen() {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}

%noselect {
  -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
     -khtml-user-select: none; /* Konqueror HTML */
       -moz-user-select: none; /* Firefox */
        -ms-user-select: none; /* Internet Explorer/Edge */
            user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome and Opera */
}

%game-container {
  width: 100%;
  height: 75vh;
  border: 1px solid $white;

  @media screen and (min-width: 426px) {
    width: 425px;
  }

  @media screen and (min-width: 769px) {
    width: 768px;
  }

  * {
    @extend %noselect;
  }
}
